#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gvfs
Version		:	1.51.1
Release		:	14.4.0.0%{?dist}
Summary		:	Backends for the gio framework in GLib
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://ftp.gnome.org/pub/gnome/sources/gvfs

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	dbus
BuildRequires	:	gcr
BuildRequires	:	glib-devel
BuildRequires	:	gsettings-desktop-schemas	>= 3.33.0
BuildRequires	:	gtk3+
BuildRequires	:	libcdio-paranoia
BuildRequires	:	libgudev
BuildRequires	:	libusb
BuildRequires	:	libsecret
BuildRequires	:	libsoup
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	polkit-devel
BuildRequires	:	udisks


Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' package provides backend implementations for the gio
framework in GLib. It includes ftp, sftp, cifs.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%{_includedir}/%{name}-client/%{name}/%{name}*.h
%{_libexecdir}/%{name}*
%{_libdir}/gio/modules/*.so
%{_libdir}/%{name}/lib%{name}*.so
%{_datadir}/dbus-1/services/org.gtk.vfs.*.service
%{_datadir}/glib-2.0/schemas/org.gnome.system.%{name}.enums.xml
%{_datadir}/%{name}/remote-volume-monitors/udisks2.monitor
%{_datadir}/%{name}/mounts/*.mount
%{_datadir}/polkit-1/actions/org.gtk.vfs.*.policy
%{_datadir}/polkit-1/rules.d/org.gtk.vfs.*.rules
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

sed -i							\
  -e '/policy,/d'					\
  daemon/meson.build

meson                                                   \
        --prefix=%{_prefix}                             \
        --includedir=%{_includedir}                     \
        --libexecdir=%{_libexecdir}                     \
        --sysconfdir=%{_sysconfdir}                     \
        --bindir=%{_bindir}                             \
        --sbindir=%{_sbindir}                           \
        --mandir=%{_mandir}                             \
        --libdir=%{_libdir}                             \
        --infodir=%{_infodir}                           \
	--buildtype=release				\
	-D fuse=false					\
	-D gphoto2=false				\
	-D afc=false					\
	-D bluray=false					\
	-D nfs=false					\
	-D mtp=false					\
	-D smb=false					\
	-D tmpfilesdir=no				\
	-D dnssd=false					\
	-D goa=false					\
	-D google=false					\
	-D logind=true					\
	-D gcr=false					\
	-D systemduserunitdir=no			\
	build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	%{_smp_mflags}					\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja 						\
		-C build				\
		install

#-----------------------------------------------------------------------------
%changelog

